<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="container">
    <slp-row>
      <slp-column :cols="data.column_size || 12">
        <SlpTypography
          v-if="data.title"
          tag="h2"
          variant="heading4"
          class="bold"
          >{{ data.title }}
        </SlpTypography>
        <SlpTypography
          v-if="data.h3_title"
          tag="h3"
          variant="heading3"
          class="bold"
          >{{ data.h3_title }}
        </SlpTypography>
        <SlpTypography v-if="data.text" tag="p" variant="body1"
          >{{ data.text }}
        </SlpTypography>
        <table :class="{ 'full-width': data.fullwidth }">
          <thead>
            <tr v-if="data.headers">
              <th
                v-for="header in data.headers"
                :key="header"
                v-html="$md.render(header)"
              ></th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(row, rowIndex) in data.rows" :key="rowIndex">
              <td
                v-for="column in row.columns"
                :key="column"
                v-html="$md.render(column)"
              ></td>
            </tr>
          </tbody>
        </table>
      </slp-column>
    </slp-row>
  </div>
</template>

<style lang="scss" scoped>
.container {
  margin: 15px;
  overflow-x: auto;

  h2 {
    margin-bottom: 20px;
  }

  .bold {
    font-weight: bold;
  }

  .slp-col-md-8 {
    margin: 0 auto;
  }
}

table {
  border: 1px solid #f2f2f2;
  box-sizing: border-box;
  border-radius: 4px;
  margin-top: 20px;
  margin-bottom: 20px;

  &.full-width {
    width: 100%;
  }
}

tr {
  td,
  th {
    width: 50%;
    text-align: left;
    padding: 10px 25px;
  }
}

thead {
  tr:first-child {
    th {
      background: #f8f8f8;
    }
  }
}

tbody {
  tr:nth-child(even) {
    td {
      background: #f8f8f8;
    }
  }

  tr {
    td:last-child {
      margin: 0;
    }
  }
}
</style>
